(function( $) {

	/* global wishgpt */

	'use strict';


	$( document ).on('submit', ".wishgpt-form", function(e) {
		e.preventDefault();

		var $form = $(e.target);
		var $button = $form.find('[type="submit"]');
		var $response = $form.find('.wgpt-preview-text');
		var prompt = $form.find('[name="wish_prompt"]').val();
		var nonce = $form.find('[name="_wpnonce"]').val();
		var wait_text = $button.attr('data-wait-text');
		var default_text = $button.html();

		if ( ! nonce ) {
			alert(  'Please reload the webpage and try again!' );
			return;
		}

		$button.addClass('wgpt-btn-processing').prop('disabled', true);
		if ( wait_text ) {
			$button.html( wait_text );
		}

		$response.html('');

		// noinspection JSUnresolvedVariable
		$.ajax({
			url: wishgpt.ajaxUrl,
			type: 'POST',
			data: {
				_wpnonce: nonce,
				wish_prompt: prompt,
				action: 'wishgpt_generate_wish'
			},
			dataType: 'json',
			cache: false,
			success: function(response) {
				if ( response && response.error ) {
					alert( response.error );
				} else if ( response && response.output ) {
					$response.html( response.output );
				}
				$button.removeClass('wgpt-btn-processing').prop( 'disabled', false ).html( default_text );
			},
			error: function() {
				$button.removeClass('wgpt-btn-processing').prop( 'disabled', false ).html( default_text );
			}
		});


		return false;
	});



})(jQuery);