<?php
/**
 * Renders Chat GPT Form for Wish Generator.
 *
 * @package WishGPT
 */

/**
 * Template Variable
 *
 * @var $prompt_id
 */

$prompt_id = $prompt_id ?? uniqid();

$api_key = wishgpt_option( 'chatgpt_api_key', wishgpt_defualt_model() );
if ( empty( $api_key ) ) {
	return '<p>' . esc_html__( 'Please enter Chat GPT API Key', 'wishgpt' ) . '</p>';
}
?>
<form method="POST" class="wishgpt-form">
	<?php
		wp_nonce_field( 'wishgpt_generate_wish' );
	?>
	<div class="wgpt-form-field">
		<textarea
			name="wish_prompt"
			id="wishgpt_prompt_<?php echo esc_attr( $prompt_id ); ?>"
			rows="4"
			placeholder="<?php esc_html_e( 'What would you like to wish?', 'wishgpt' ); ?>"
			aria-label="<?php esc_html_e( 'Type Wish Text', 'wishgpt' ); ?>"
		></textarea>
	</div>
	<div class="wgpt-form-field">
		<button class="wishgpt-generate-button" type="submit" data-wait-text="<?php esc_html_e( 'Please wait..', 'wishgpt' ); ?>">
			<?php esc_html_e( 'Generate Wish', 'wishgpt' ); ?>
		</button>
	</div>
	<div class="wgpt-preview-text"></div>
</form>
